Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class SVGIDGenerator

    java.lang.Object
      org.apache.batik.svggen.SVGIDGenerator

public class SVGIDGenerator
extends java.lang.Object

Generates id for an arbitrary number of prefix

Constructor Summary
`SVGIDGenerator()`

Method Summary
`java.lang.String` | `generateID(java.lang.String prefix)` Generates an id for the given prefix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGIDGenerator

    public SVGIDGenerator()

Method Detail

### generateID

    public java.lang.String generateID(java.lang.String prefix)

  Generates an id for the given prefix. This class keeps track of all invocations to that it generates unique ids

  Parameters:
    `prefix` - defines the prefix for which the id should be generated.
  Returns:
    a value of the form

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.